<template>
  <v-layout row justify-center>
    <v-dialog v-model="dialog" persistent max-width="290">
      <v-card v-loading="loading">
        <v-card-title primary-title><span v-html="title"></span></v-card-title>
        <v-card-text>
          <div v-html="content">
            <slot></slot>
          </div>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn @click.native="commit" color="info">ok</v-btn>
          <v-btn @click.native="close">cancel</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-layout>
</template>
<script>

export default {
  data () {
    return {
      loading: false,
      dialog: false
    }
  },
  props: {
    title: String,
    content: String
  },
  methods: {
    show () {
      this.dialog = true
    },
    commit () {
      this.$emit('commit')
    },
    close () {
      this.loading = false
      this.dialog = false
    }
  }
}
</script>
